# openapi-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: version not set
- Package version: 1.0.0
- Generator version: 7.4.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import openapi_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import openapi_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = openapi_client.LLMProxyApi(api_client)
    body = openapi_client.V1CreateApiSecretRequest() # V1CreateApiSecretRequest | 

    try:
        # Store LLM inference API secret
        api_response = api_instance.l_lm_proxy_create_api_secret(body)
        print("The response of LLMProxyApi->l_lm_proxy_create_api_secret:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling LLMProxyApi->l_lm_proxy_create_api_secret: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*LLMProxyApi* | [**l_lm_proxy_create_api_secret**](docs/LLMProxyApi.md#l_lm_proxy_create_api_secret) | **POST** /v1/api_secrets | Store LLM inference API secret
*LLMProxyApi* | [**l_lm_proxy_create_app_logs**](docs/LLMProxyApi.md#l_lm_proxy_create_app_logs) | **POST** /v1/app_logs | Create application logs
*LLMProxyApi* | [**l_lm_proxy_create_dataset**](docs/LLMProxyApi.md#l_lm_proxy_create_dataset) | **POST** /v1/datasets | Create LLM dataset
*LLMProxyApi* | [**l_lm_proxy_create_likes**](docs/LLMProxyApi.md#l_lm_proxy_create_likes) | **POST** /v1/likes | Add LLM log feedback (\&quot;likes\&quot;)
*LLMProxyApi* | [**l_lm_proxy_create_log_attribute**](docs/LLMProxyApi.md#l_lm_proxy_create_log_attribute) | **POST** /v1/attributes | Attach attribute to LLM log
*LLMProxyApi* | [**l_lm_proxy_create_open_ai_chat_input_log**](docs/LLMProxyApi.md#l_lm_proxy_create_open_ai_chat_input_log) | **POST** /v1/openai_chats/{modelName}/input_logs | Create an LLM input log
*LLMProxyApi* | [**l_lm_proxy_create_open_ai_chat_output_log**](docs/LLMProxyApi.md#l_lm_proxy_create_open_ai_chat_output_log) | **POST** /v1/openai_chats/{modelName}/output_logs | Create an LLM output log
*LLMProxyApi* | [**l_lm_proxy_create_routing_config**](docs/LLMProxyApi.md#l_lm_proxy_create_routing_config) | **POST** /v1/routing_configs | Create LLM routing config
*LLMProxyApi* | [**l_lm_proxy_delete_log_attribute**](docs/LLMProxyApi.md#l_lm_proxy_delete_log_attribute) | **DELETE** /v1/attributes/{name} | Remove LLM log attribute
*LLMProxyApi* | [**l_lm_proxy_list_api_secrets**](docs/LLMProxyApi.md#l_lm_proxy_list_api_secrets) | **GET** /v1/api_secrets | List LLM inference API secrets
*LLMProxyApi* | [**l_lm_proxy_list_app_logs**](docs/LLMProxyApi.md#l_lm_proxy_list_app_logs) | **GET** /v1/app_logs | List application logs
*LLMProxyApi* | [**l_lm_proxy_list_datasets**](docs/LLMProxyApi.md#l_lm_proxy_list_datasets) | **GET** /v1/datasets | List LLM datasets
*LLMProxyApi* | [**l_lm_proxy_list_likes**](docs/LLMProxyApi.md#l_lm_proxy_list_likes) | **GET** /v1/likes | List LLM log feedback (\&quot;likes\&quot;)
*LLMProxyApi* | [**l_lm_proxy_list_log_attributes**](docs/LLMProxyApi.md#l_lm_proxy_list_log_attributes) | **GET** /v1/attributes | List attributes on an LLM log
*LLMProxyApi* | [**l_lm_proxy_list_open_ai_chat_logs**](docs/LLMProxyApi.md#l_lm_proxy_list_open_ai_chat_logs) | **GET** /v1/{parent}/logs | List LLM logs
*LLMProxyApi* | [**l_lm_proxy_list_routing_configs**](docs/LLMProxyApi.md#l_lm_proxy_list_routing_configs) | **GET** /v1/routing_configs | List LLM routing configs
*LLMProxyApi* | [**l_lm_proxy_post_dataset_logs**](docs/LLMProxyApi.md#l_lm_proxy_post_dataset_logs) | **POST** /v1/datasets/{name}/logs | Add logs to a dataset
*LLMProxyApi* | [**l_lm_proxy_update_spending_totals**](docs/LLMProxyApi.md#l_lm_proxy_update_spending_totals) | **PATCH** /v1/routing_configs/{routeConfigId} | Update routing config spending totals


## Documentation For Models

 - [AppLogLevelType](docs/AppLogLevelType.md)
 - [LLMProxyCreateOpenAIChatInputLogRequest](docs/LLMProxyCreateOpenAIChatInputLogRequest.md)
 - [LLMProxyCreateOpenAIChatOutputLogRequest](docs/LLMProxyCreateOpenAIChatOutputLogRequest.md)
 - [LLMProxyPostDatasetLogsRequest](docs/LLMProxyPostDatasetLogsRequest.md)
 - [LLMProxyUpdateSpendingTotalsRequest](docs/LLMProxyUpdateSpendingTotalsRequest.md)
 - [OpenAIChatOutputLogChoice](docs/OpenAIChatOutputLogChoice.md)
 - [OpenAIChatOutputLogUsage](docs/OpenAIChatOutputLogUsage.md)
 - [ProtobufAny](docs/ProtobufAny.md)
 - [ProtobufNullValue](docs/ProtobufNullValue.md)
 - [RpcStatus](docs/RpcStatus.md)
 - [V1ApiSecret](docs/V1ApiSecret.md)
 - [V1ApiSecretProvider](docs/V1ApiSecretProvider.md)
 - [V1AppLog](docs/V1AppLog.md)
 - [V1AttributeFilters](docs/V1AttributeFilters.md)
 - [V1CreateApiSecretRequest](docs/V1CreateApiSecretRequest.md)
 - [V1CreateAppLogsRequest](docs/V1CreateAppLogsRequest.md)
 - [V1CreateAppLogsResponse](docs/V1CreateAppLogsResponse.md)
 - [V1CreateDatasetRequest](docs/V1CreateDatasetRequest.md)
 - [V1CreateDatasetResponse](docs/V1CreateDatasetResponse.md)
 - [V1CreateLikesRequest](docs/V1CreateLikesRequest.md)
 - [V1CreateLikesResponse](docs/V1CreateLikesResponse.md)
 - [V1CreateLogAttributeRequest](docs/V1CreateLogAttributeRequest.md)
 - [V1CreateLogAttributeResponse](docs/V1CreateLogAttributeResponse.md)
 - [V1CreateRoutingConfigRequest](docs/V1CreateRoutingConfigRequest.md)
 - [V1Dataset](docs/V1Dataset.md)
 - [V1DatasetFilters](docs/V1DatasetFilters.md)
 - [V1DeleteLogAttributeResponse](docs/V1DeleteLogAttributeResponse.md)
 - [V1FallbackStrategy](docs/V1FallbackStrategy.md)
 - [V1Like](docs/V1Like.md)
 - [V1LikeFilter](docs/V1LikeFilter.md)
 - [V1LikeIngest](docs/V1LikeIngest.md)
 - [V1ListApiSecretsResponse](docs/V1ListApiSecretsResponse.md)
 - [V1ListAppLogsResponse](docs/V1ListAppLogsResponse.md)
 - [V1ListDatasetsResponse](docs/V1ListDatasetsResponse.md)
 - [V1ListLikesResponse](docs/V1ListLikesResponse.md)
 - [V1ListLogAttributesResponse](docs/V1ListLogAttributesResponse.md)
 - [V1ListOpenAIChatLogsResponse](docs/V1ListOpenAIChatLogsResponse.md)
 - [V1ListRoutingConfigsResponse](docs/V1ListRoutingConfigsResponse.md)
 - [V1LogAttribute](docs/V1LogAttribute.md)
 - [V1Message](docs/V1Message.md)
 - [V1Mode](docs/V1Mode.md)
 - [V1Model](docs/V1Model.md)
 - [V1OpenAIChatInputLog](docs/V1OpenAIChatInputLog.md)
 - [V1OpenAIChatLog](docs/V1OpenAIChatLog.md)
 - [V1OpenAIChatLogsFilters](docs/V1OpenAIChatLogsFilters.md)
 - [V1OpenAIChatOutputLog](docs/V1OpenAIChatOutputLog.md)
 - [V1OriginType](docs/V1OriginType.md)
 - [V1PostDatasetLogsResponse](docs/V1PostDatasetLogsResponse.md)
 - [V1RelativeDateTimeFilters](docs/V1RelativeDateTimeFilters.md)
 - [V1ResetInterval](docs/V1ResetInterval.md)
 - [V1RoutingConfig](docs/V1RoutingConfig.md)
 - [V1SpendCap](docs/V1SpendCap.md)
 - [V1TerminalState](docs/V1TerminalState.md)
 - [V1ThumbsReaction](docs/V1ThumbsReaction.md)
 - [V1UsageTotals](docs/V1UsageTotals.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




